package contracts

type Service interface {
	LoadGoPlugin(file string) error
	RegControllers(items map[string]Controller) error
	RegListens(items map[string]ResListener) error
	RegGRpControllers(items map[string]GRpController) error
	GetResListener(code string) (ResListener, bool)
	GetAppController(code string) (Controller, bool)
	GetGRpController(code string) (GRpController, bool)
}
